/**
 * class representing a tiling of the domain
 */
case class Tiling(id: Int, verticalMemory: Memory, lateralMemory: Memory, tileSize: Domain, haloStrategy: HaloStrategy) {
  override def toString = s"${verticalMemory.id}(${tileSize.iSize}x${tileSize.jSize}x${tileSize.kSize})"
}
