/**
 * define the halo handling strategies
 */
sealed abstract class HaloStrategy {
  def isSequential: Boolean
}

case object OF extends HaloStrategy {
  def isSequential = false
}

case object HEPar extends HaloStrategy {
  def isSequential = false
}

case object HEKInc extends HaloStrategy {
  def isSequential = true
}

//case object HEKDec extends HaloStrategy {
//  def isSequential = true
//}
//
//case object HEIInc extends HaloStrategy {
//  def isSequential = true
//}